# mypy-boto3-alexaforbusiness

[![PyPI - mypy-boto3-alexaforbusiness](https://img.shields.io/pypi/v/mypy-boto3-alexaforbusiness.svg?color=blue)](https://pypi.org/project/mypy-boto3-alexaforbusiness)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/mypy-boto3-alexaforbusiness.svg?color=blue)](https://pypi.org/project/mypy-boto3-alexaforbusiness)
[![Docs](https://img.shields.io/readthedocs/mypy-boto3-builder.svg?color=blue)](https://mypy-boto3-builder.readthedocs.io/)

- [mypy-boto3-alexaforbusiness](#mypy-boto3-alexaforbusiness)
  - [How to use](#how-to-use)
  - [Automated type discovery](#automated-type-discovery)


Type annotations for
[boto3.AlexaForBusiness 1.13.26](https://boto3.amazonaws.com/v1/documentation/api/1.13.26/reference/services/alexaforbusiness.html#AlexaForBusiness) service
compatible with [mypy](https://github.com/python/mypy), [VSCode](https://code.visualstudio.com/),
[PyCharm](https://www.jetbrains.com/pycharm/) and other tools.

Generated by [mypy-boto3-buider 2.0.2](https://github.com/vemel/mypy_boto3_builder).

More information can be found on [boto3-stubs](https://pypi.org/project/boto3-stubs/) page.

- [mypy-boto3-alexaforbusiness](#mypy-boto3-alexaforbusiness)
  - [How to use](#how-to-use)
    - [Type checking](#type-checking)
  - [How it works](#how-it-works)

## How to use

Make sure you have [mypy](https://github.com/python/mypy) installed and activated in your IDE.

Install `boto3-stubs` for `AlexaForBusiness` service.

```bash
python -m pip install boto3-stubs[alexaforbusiness]

# update installed packages index for automated type discovery
python -m mypy_boto3
```

Use `boto3` with `mypy_boto3_alexaforbusiness` in your project and enjoy type checking and auto-complete.

```python
import boto3

from mypy_boto3_alexaforbusiness import AlexaForBusinessClient

# Now mypy can check if your code is valid.
client: AlexaForBusinessClient = boto3.client("alexaforbusiness")

# works for session as well
session = boto3.session.Session(region="us-west-1")
session_client: AlexaForBusinessClient = session.client("alexaforbusiness")



# Annotated paginators are included as well

import mypy_boto3_alexaforbusiness.paginator as alexaforbusiness_paginators

list_business_report_schedules_paginator: alexaforbusiness_paginators.ListBusinessReportSchedulesPaginator = client.get_paginator("list_business_report_schedules")
list_conference_providers_paginator: alexaforbusiness_paginators.ListConferenceProvidersPaginator = client.get_paginator("list_conference_providers")
list_device_events_paginator: alexaforbusiness_paginators.ListDeviceEventsPaginator = client.get_paginator("list_device_events")
list_skills_paginator: alexaforbusiness_paginators.ListSkillsPaginator = client.get_paginator("list_skills")
list_skills_store_categories_paginator: alexaforbusiness_paginators.ListSkillsStoreCategoriesPaginator = client.get_paginator("list_skills_store_categories")
list_skills_store_skills_by_category_paginator: alexaforbusiness_paginators.ListSkillsStoreSkillsByCategoryPaginator = client.get_paginator("list_skills_store_skills_by_category")
list_smart_home_appliances_paginator: alexaforbusiness_paginators.ListSmartHomeAppliancesPaginator = client.get_paginator("list_smart_home_appliances")
list_tags_paginator: alexaforbusiness_paginators.ListTagsPaginator = client.get_paginator("list_tags")
search_devices_paginator: alexaforbusiness_paginators.SearchDevicesPaginator = client.get_paginator("search_devices")
search_profiles_paginator: alexaforbusiness_paginators.SearchProfilesPaginator = client.get_paginator("search_profiles")
search_rooms_paginator: alexaforbusiness_paginators.SearchRoomsPaginator = client.get_paginator("search_rooms")
search_skill_groups_paginator: alexaforbusiness_paginators.SearchSkillGroupsPaginator = client.get_paginator("search_skill_groups")
search_users_paginator: alexaforbusiness_paginators.SearchUsersPaginator = client.get_paginator("search_users")
```

## Automated type discovery

`mypy_boto3` package can generate index for `mypy_boto3_alexaforbusiness` and other installed services.

```bash
# Run this command when you add or remove service packages
python -m mypy_boto3
```

Generated index provides overloads for `boto3.client` and `boto3.service`,
`boto3.Session.client` and `boto3.Session.resource` functions,
so explicit type annotations are not needed.

- `mypy` supports function overloads as expected
- `PyCharm` also supports function overloads, but consumes a lot of RAM, use carefully
- `VSCode` does not currently support function overloads

Also, generated index allows you to import types from `mypy_boto3`:

```python
# you can replace imports
import mypy_boto3_alexaforbusiness as alexaforbusiness
from mypy_boto3_alexaforbusiness import AlexaForBusinessClient

# with these
from mypy_boto3 import alexaforbusiness
from mypy_boto3.alexaforbusiness import AlexaForBusinessClient
```